Subject: Re: [PATCH 3/2][NEWEMAC] Use status property for unused/unwired EMACs

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 02 Mar 2008 08:33:15 +1100

On Sat, 2008-03-01 at 08:41 -0600, Josh Boyer wrote:
> Convert ibm_newemac to use the of_device_is_available function when checking
> for unused/unwired EMACs.  We leave the current check for an "unused" property
> to maintain backwards compatibility for older device trees.  Newer device
> trees should simply use the standard "status" property in the EMAC node.
> 
> The taishan DTS file is updated to reflect this.
> 
> Signed-off-by: Josh Boyer <[email-masked]>

I don't think any other DTS than Taishan uses "unused" so we may be able
to get rid of that backward compat check. I think the Cell DT just
ommits EMACs when they are unused.

Ben.